Bug 1142073 (CVE-2014-6418) - CVE-2014-6418 kernel: libceph: missing validation of auth reply
Summary: CVE-2014-6418 kernel: libceph: missing validation of auth reply
Status: NEW
Alias: CVE-2014-6418
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140915,repo...
Keywords: Security
Depends On: 1142285 1142287
Blocks: 1142025
TreeView+ depends on / blocked
 
Reported: 2014-09-16 06:35 UTC by Wade Mealing
Modified: 2018-08-28 21:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wade Mealing 2014-09-16 06:35:39 UTC
A flaw was found in the kernels handling of ceph authentication tickets.  

The auth reply could be returned to a client unvalidated.

Comment 2 Wade Mealing 2014-09-17 05:45:05 UTC
Statement:

This issue did not affect the versions of the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7.0 and Red Hat Enterprise MRG 2 (as they did not include support for this feature).

Comment 4 Wade Mealing 2014-10-02 03:50:32 UTC
The tracking bug [bug 1142287] has been closed as dupe, being tracked in BZ 1142285.


Note You need to log in before you can comment on or make changes to this bug.